astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Pix2SkyProjection

# Pix2SkyProjection

class `astropy.modeling.projections.``Pix2SkyProjection`

  Bases: `astropy.modeling.projections.Projection`

  Base class for all Pix2Sky projections.

  Attributes Summary

  `inputs` |
  `outputs` |

  Methods Summary

  `__call__`(x, y[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  Attributes Documentation

  `inputs` = (u'x', u'y')
  `outputs` = (u'phi', u'theta')

  Methods Documentation

  `__call__`(x, y, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.